/* 
 * Position map popup
 * 
 * We do not want to use position as it introduces all kinds of 
 * problems with positioning elements: How do we know the top value * without hardcoding everything?
 *
 * Therefore we need to trickle down height value to the parent of 
 * navbar, main, footer elements and make subsequent parent elements 
 * of leaflet-container main elements fill all available space using 
 * flex-grow.
 *
 * Then we can use position:absolute instead of sticky to make the 
 * map fill remaining space AND keep regular element flow.
 *
 * See section "Block formatting context" in https://blog.logrocket.com/the-only-reason-your-css-fails-8e4388d562af/
 * https://stackoverflow.com/a/10487329/4863151
 *
 */

html {
  height: 100%;
}

.h4c-page-map {
  height: 100%;
  .dialog-off-canvas-main-canvas {
    height: 100%;
  }
  section.section {
    padding: 0;
    .container {
      max-width: 100%;
    }
  }
  .dialog-off-canvas-main-canvas, main, section.section, #block-enzian-content, .h4c-map-fullscreen {
    display: flex;
    flex-grow: 1;
    flex-flow: column;
  }
  .leaflet-container  {
    position: absolute;
    top: 0;
    right:0;
    bottom: 0;
    left: 0;
    height: 100% !important;
  }
  .leaflet-popup-content {
    width: 100% !important;
  }
  .leaflet-top.leaflet-left {
    top: unset;
    right: 0;
    bottom: 3.45rem;
    left: unset;
    position: fixed; 
  }
  .leaflet-bottom.leaflet-right {
    bottom: 2.25rem;
    position: fixed;
    z-index: 500;
    /* under popup, over map */ 
  }
  /* Account for map controls in filter block height */
  .h4c-filter__outer {
    max-height: calc(100vh - 12rem);
  }
  .leaflet-pane.leaflet-popup-pane.h4c-popup {
    position: absolute;
    top: 1rem;
  }
  section.section {
    position: relative;
  }
}

